application.name=jk-server
#tomcat\u914D\u7F6E
server.port=8060
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=250
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u89E3\u51B3jackson\u8F6C\u6362json\u65F6\u95F4\u5DEE\u4E868\u4E2A\u5C0F\u65F6\u7684\u95EE\u9898
#JSON\u914D\u7F6E
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u65E5\u5FD7\u914D\u7F6E
logging.config=classpath:logback-spring.xml

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=jk_server_v4.0.0
db.username=ENC(2+xNckd3Ruh9iCbgjEK7zA==)
db.password=ENC(9KqSRGAJuuR6lDElisirufR8LTCdvE/m)

jasypt.encryptor.password=H7i9e9BqvZozCvx4VDGBL
jasypt.encryptor.algorithm=PBEWithMD5AndDES
jasypt.encryptor.pool-size=1
jasypt.encryptor.salt-generator-classname=org.jasypt.salt.RandomSaltGenerator
jasypt.encryptor.iv-generator-classname=org.jasypt.iv.NoIvGenerator

#mysql\u914D\u7F6E
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

sys.config.time-max-ahead=60
sys.config.time-max-delay=300
#sys.config.oss=true

#\u6587\u4EF6\u670D\u52A1\u5668\u5B58\u50A8\u914D\u7F6E
#jk.filestore.workRoot =/Users/king/Downloads/work
#jk.filestore.storageRoot =/Users/king/Downloads/storage
##\u6587\u4EF6\u4E0A\u4F20\u5355\u4E2A\u6587\u4EF6\u7684\u6700\u5927\u503C \u5355\u4F4DM
#jk.filestore.maxFileSize = 1024
##\u89C6\u5531\u7684\u7B54\u6848\u662F\u5426\u5B58\u50A8\u5728\u963F\u91CC\u4E91\u7684OSS\u4E2D
#jk.filestore.isSolfegeAnswerInAliyunOSS=true
##\u7F13\u5B58\u6E05\u7406\u5B9A\u65F6\u5668\u914D\u7F6E
#jk.cache.cron=0 1 * * * ?

com.qmth.fss.work.config=../work/
com.qmth.fss.work.server=/work/
com.qmth.fss.storage.config=../storage/
com.qmth.fss.storage.server=/storage/

#com.qmth.fss.work.config=oss://LTAI4Fi8jVRYT49QBXU9x5QX:97aBLBfkQR5mzCiQa82yWLAH57eUd8@teachcloud-test.oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.work.server=https://oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.storage.config=oss://LTAI4Fi8jVRYT49QBXU9x5QX:97aBLBfkQR5mzCiQa82yWLAH57eUd8@teachcloud-test.oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.storage.server=https://oss-cn-shenzhen.aliyuncs.com

#com.qmth.solar.access-key=274f823e5f59410f8b3bb6edcd8e2b6e
#com.qmth.solar.access-secret=y7AO6W0TOdTF8HpWBwGHbp3wfIHsmUKr

#\u7F13\u5B58\u65F6\u95F4
com.qmth.cache.expire-after-write=8h
com.qmth.solar.app-code=jkserver

#\u963F\u91CC\u4E91OSS\u914D\u7F6E
#aliyun.oss.endpointInner=http://oss-cn-beijing-internal.aliyuncs.com
#aliyun.oss.endpoint=http://oss-cn-beijing.aliyuncs.com
#aliyun.oss.accessKeyId=LTAIhiBoG7CsLnoy
#aliyun.oss.accessKeySecret=HqTvxO1RYiPT3SiZKv4VeoXab4AHjz
#aliyun.oss.bucket=datacenter-test

#aliyun.oss.endpointInner=http://oss-cn-shenzhen.aliyuncs.com
#aliyun.oss.endpoint=http://oss-cn-shenzhen.aliyuncs.com
#aliyun.oss.accessKeyId=LTAI4FnJ2pgV6aGceYcCkeEi
#aliyun.oss.accessKeySecret=ktrMEVE7PfoxRPeJUPDFeygOIH4aU7
#aliyun.oss.bucket=qmth-test

#com.qmth.fss.work.config=oss://LTAI4FnJ2pgV6aGceYcCkeEi:ktrMEVE7PfoxRPeJUPDFeygOIH4aU7@qmth-test.oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.work.server=https://oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.storage.config=oss://LTAI4FnJ2pgV6aGceYcCkeEi:ktrMEVE7PfoxRPeJUPDFeygOIH4aU7@qmth-test.oss-cn-shenzhen.aliyuncs.com
#com.qmth.fss.storage.server=https://oss-cn-shenzhen.aliyuncs.com